# The top level Makefile

TOP := $(PWD)
PROJECTS := JustForFun basics forms menus panels


all:	
	$(foreach project,$(PROJECTS),\
		cd $(project) && \
		$(MAKE) && \
		cd $(TOP) \
		;\
	)
	@echo 
	@echo "*********************************************"
	@echo "All files Built"
	@echo "Please move to demo/exe directory"
	@echo "Execute each file to see examples in action"
	@echo "*********************************************"
	@echo


clean:
	$(foreach project,$(PROJECTS),\
		cd $(project) && \
		$(MAKE) clean && \
		cd $(TOP) \
		;\
	)
